# H245_LogicalChannelRateReject Class Reference

`#include <h245.h>`

Inheritance diagram for H245_LogicalChannelRateReject:

List of all members.

## Public Types

enum | OptionalFields { e_currentMaximumBitRate }

## Public Member Functions

| H245_LogicalChannelRateReject (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_SequenceNumber | m_sequenceNumber
H245_LogicalChannelNumber | m_logicalChannelNumber
H245_LogicalChannelRateRejectReason | m_rejectReason
H245_MaximumBitRate | m_currentMaximumBitRate

## Member Enumeration Documentation

enum H245_LogicalChannelRateReject::OptionalFields

Enumerator:

  e_currentMaximumBitRate |

## Constructor & Destructor Documentation

H245_LogicalChannelRateReject::H245_LogicalChannelRateReject | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_LogicalChannelRateReject::GetDataLength | ( |  | ) | const

PBoolean H245_LogicalChannelRateReject::Decode | ( | PASN_Stream & | strm | ) |

void H245_LogicalChannelRateReject::Encode | ( | PASN_Stream & | strm | ) | const

void H245_LogicalChannelRateReject::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_LogicalChannelRateReject::Compare | ( | const PObject & | obj | ) | const

PObject* H245_LogicalChannelRateReject::Clone | ( |  | ) | const

## Member Data Documentation

H245_SequenceNumber H245_LogicalChannelRateReject::m_sequenceNumber

H245_LogicalChannelNumber H245_LogicalChannelRateReject::m_logicalChannelNumber

H245_LogicalChannelRateRejectReason H245_LogicalChannelRateReject::m_rejectReason

H245_MaximumBitRate H245_LogicalChannelRateReject::m_currentMaximumBitRate

The documentation for this class was generated from the following file:

- h245.h